################################################################################################################
## spring-cloud相关配置
#eureka:
#  client:                                   #客户端注册进eureka服务列表内
#    service-url:
#      defaultZone:                          http://eureka-service:8761/eureka
##启用监控
#management:
#  endpoints:
#    web:
#      exposure:
#        include:
#          - "*"  # 开放所有端点health，info，metrics，通过actuator/+端点名就可以获取相应的信息。默认打开health和info
#  endpoint:
#    health:
#      #未开启actuator/health时，我们获取到的信息是{"status":"UP"}，status的值还有可能是 DOWN。开启后打印详细信息
#      show-details:                       always
###############################################################################################################

server:
  port: 8877
#  ssl:
#    key-store:                          classpath:keystore.key
#    key-store-password:                 20090421
#    key-store-type:                     PKCS12
#    key-alias:                          cn.sagacloud

spring:
  application:
    name:                               scheduler
  mvc:
    favicon:
      enabled:                          true

  jmx:
    default-domain:                     scheduler

  datasource:
    name: scheduler_str
    type: com.alibaba.druid.pool.DruidDataSource
    driver-class-name: com.mysql.cj.jdbc.Driver
#    url: jdbc:mysql://rm-2ze20ntn5y9ljsx147o.mysql.rds.aliyuncs.com:3306/scheduler_str?allowMultiQueries=true&serverTimezone=UTC&useUnicode=true&useSSL=false&characterEncoding=UTF-8
#    username: root
#    password: zVmW58LaAtjIKbb
    url:                                jdbc:mysql://192.168.100.91:9934/scheduler_str?allowMultiQueries=true&serverTimezone=UTC&useUnicode=true&useSSL=false&characterEncoding=UTF-8
    username:                           root
    password:                           persagy@2021
#    url:                                jdbc:mysql://cd-cdb-nboe1rje.sql.tencentcdb.com:61955/scheduler_str?allowMultiQueries=true&serverTimezone=UTC&useUnicode=true&useSSL=false&characterEncoding=UTF-8
#    username:                           root
#    password:                           Bdtp@1qaz@WSX
  jackson:
    date-format:                        yyyy-MM-dd HH:mm:ss
    time-zone:                          Asia/Shanghai
    default-property-inclusion:         non_null
    # 首字母大写
    property-naming-strategy:           com.fasterxml.jackson.databind.PropertyNamingStrategy.PascalCaseStrategy
    # 以下划线分隔全小写的单词
    #property-naming-strategy:           com.fasterxml.jackson.databind.PropertyNamingStrategy.LowerCaseWithUnderscoresStrategy
    mapper:
      # 属性按字母顺序输出
      sort_properties_alphabetically:   true

#  activemq:
#    #broker-url:                         tcp://172.17.134.225:61616
#    broker-url:                         tcp://activemq:61616
#    in-memory:                          true
#    pool.enabled:                       false
#    user:                               admin
#    password:                           admin
  #activemq:
   # broker-url: failover:(tcp://192.168.64.15:61616)
    #in-memory: true
    #pool:
     # enabled: false
    #user: admin
    #password: admin
    #non-blocking-redelivery: true

    #jms:
  #  pub-sub-domain: true

#topic:                                 datacenter.broadcast

mybatis:
  typeAliasesPackage:                   cn.sagacloud.server.datacenter.entities
#  configuration:
#    log-impl: org.apache.ibatis.logging.nologging.NoLoggingImpl
